Subject: bug#7499: Documentation: `comint-dynamic-list-filename-completions'

From: MON KEY <[email-masked]>
Date: Sun, 28 Nov 2010 22:02:40 -0500

On Sun, Nov 28, 2010 at 8:35 PM, Stefan Monnier
<[email-masked]> wrote:
>> No need to defend that text; just use "buffer `*Completions*'" or
>> "window `*Completions*'" (depending on the context).
>
> I'd argue instead that there is no reason for that text to say where
> it's going to be displayed.

Once one has left the immediate locus of the `comint-*' callers it is
good to know
what/where these gals do their business.

> So I'd replace "List in help buffer sorted completions" with something
> like "Display sorted completions".

OK. It makes sense to leave from for future changes.
But, there is third party code that uses this feature:
Their users may deserve some consideration...

`slime-maybe-complete-as-filename'
 `-> `comint-replace-by-expanded-filename'
   `-> `comint-dynamic-complete-filename'
     `-> `comint-dynamic-complete-as-filename'
       `-> `comint-dynamic-list-filename-completions'
         `-> `comint-dynamic-list-completions'

Do an occur for "slime-complete-*" in slime.el
Also, take a look at `slime-completions-buffer-name'.

I'm sure there are other non-core libs which make similar use of `comint-*'...

>        Stefan

--
/s_P\